<?
//header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=lista_mercado.xls");

/*****************************************/
$o_ObjectBean = new MercadoBean();


if(myUser::getUser()->getIdPadre() == "1" || myUser::getUser()->getRoleId() == "sys.ope"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult 	= $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador 			= $o_ColaboradorBeanResult[0]->getIdPadre();
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }elseif(myUser::getUser()->getRoleId() == "sys.res"){
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

if($idAdministrador){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	$o_SucursalMercadoBean = new SucursalMercadoBean();
	if(is_object($a_o_sucursal[0])){
		
		$o_SucursalMercadoBean->setIdSucursal($a_o_sucursal[0]->getIdSucursal());
		$o_SucursalMercadoBL = new SucursalMercadoBL();
		$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
		if(is_array($a_o_sucursalmercado)){
			foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
				$a_IdMercados[] = $o_sucursalmercado->getIdMercado();
			}
		}
	}else{
		$a_IdMercados[] = '0';
	}
	$o_ObjectBean->setIdMercados($a_IdMercados);
}
	


if($IdMercado){
  if($IdMercado   != ""){ $o_ObjectBean->setIdMercado($IdMercado); }
}else{
  if($Descripcion   !=""){ $o_ObjectBean->setDescripcion($Descripcion); }
  if($cboEstado    !=""){ $o_ObjectBean->setEstado($cboEstado); } 
}

$o_class = new MercadoBL();
$a_ObjectBean = $o_class->busquedaMercado($o_ObjectBean);

/*****************************************/

ViewResponse::getInstance()->setMethodAjax();

?>

      <table>
        <tr>
          <td>
            <table border="1">
              <tr>
                <th>Nro&nbsp;</th>
                <th>Mercado&nbsp;</th>
                <th>Estado&nbsp;</th>
                <th>Usuario&nbsp;</th>
                
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr>
                <td><?=($i+1)?></td>
               
                 <td><?=$o_objBean->getDescripcion()?>&nbsp;</td>
                 <td><?php if($o_objBean->getEstado() == "A") echo "Activo"; else "Inactivo";?>&nbsp;</td>
                 <td><?=$o_objBean->getUsuarioCreacion()?>&nbsp;</td>
              </tr>
              <? $i++;} ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
      </table>